import $req from './request'

// 获取用户信息
export const getUserInfo = () =>
  $req({
    url: '/sysUser/selectUser',
  })

// 获取客服信息
export const getCsInfo = (id: string) =>
  $req({
    url: `/customerService/getInfoByUserId/${id}`,
  })

// 更新用户信息
export const updateUserInfo = (data: any) =>
  $req({
    url: '/sysUser/editPerfectMessage',
    method: 'post',
    data,
  })

// 获取协议
export const getAgreeInfo = (id: string, isChat = false) =>
  $req({
    url: '/agreement/' + id,
    headers: {
      Authorization: '',
    },
  })

// 获取字典
export const getDict = () =>
  $req({
    url: '/sysDictType/tree',
  })

// 设备通知注册
export const bindRegId = (data: any) =>
  $req({
    url: '/sysUser/dealRegistrationId',
    method: 'post',
    data,
  })

// 获取未读消息数量
export const getUnreadNum = () => $req({ url: '/customerService/getUnreadNum' })

// 支付创建订单
export const createInspectorPrepayOrder = (data: any) => {
  return $req({
    method: 'post',
    url: '/orderManagement/createInspectorPrepayOrder',
    data,
  })
}
